GXml.DomNode.copy – GXml-0.20 Reference Manual

# copy

## Description:

public static bool copy (DomDocument doc, DomNode node, DomNode source, bool deep) throws Error

Copy a GXml.DomNode relaying on GXml.DomDocument to other GXml.DomNode.

node could belongs from different GXml.DomDocument, while source is a node belonging to given document.

Only GXml.DomElement objects are supported. For attributes, use GXml.DomElement.set_attribute method, passing source's name and value as arguments.

## Parameters:

doc | a GXml.DomDocument owning destiny node
node | a GXml.DomElement to copy nodes to
source | a GXml.DomElement to copy nodes from, it could be holded by different GXml.DomDocument